%define upstream_name    Test-Most
%define upstream_version 0.24

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Most commonly needed test functions and features
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exception::Class)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::Harness)
BuildRequires: perl(Test::Simple)
BuildRequires: perl(Test::Warn)
BuildRequires: perl(Module::Build::Compat)
Requires: perl(Exception::Class)
BuildArch: noarch
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
#make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jan 22 2012 Oden Eriksson <oeriksson@mandriva.com> 0.240.0-3mdv2012.0
+ Revision: 765714
- rebuilt for perl-5.14.2
- rebuilt for perl-5.14.x

* Fri Jun 24 2011 Guillaume Rousse <guillomovitch@mandriva.org> 0.240.0-1
+ Revision: 687003
- update to new version 0.24

* Thu May 05 2011 Funda Wang <fwang@mandriva.org> 0.230.0-4
+ Revision: 669283
- rebuild

* Sun Apr 24 2011 Funda Wang <fwang@mandriva.org> 0.230.0-3
+ Revision: 658162
- add req

* Sat Apr 23 2011 Funda Wang <fwang@mandriva.org> 0.230.0-2
+ Revision: 656971
- rebuild for updated spec-helper

* Thu Nov 11 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.230.0-1mdv2011.0
+ Revision: 596038
- update to new version 0.23

* Tue Aug 24 2010 Jérôme Quelin <jquelin@mandriva.org> 0.220.0-2mdv2011.0
+ Revision: 572837
- using meta.yml for requires:

* Sun Aug 15 2010 Jérôme Quelin <jquelin@mandriva.org> 0.220.0-1mdv2011.0
+ Revision: 569958
- update to 0.22

* Tue Jul 28 2009 Jérôme Quelin <jquelin@mandriva.org> 0.210.0-1mdv2011.0
+ Revision: 401603
- rebuild using %%perl_convert_version
- fixed summary & license fields

* Fri May 15 2009 Jérôme Quelin <jquelin@mandriva.org> 0.21-2mdv2010.0
+ Revision: 375892
- rebuild

* Thu Mar 19 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.21-1mdv2009.1
+ Revision: 357686
- update to new version 0.21

* Tue Mar 17 2009 Jérôme Quelin <jquelin@mandriva.org> 0.20-1mdv2009.1
+ Revision: 356532
- skipping tests
- adding missing prereq
- import perl-Test-Most


* Tue Mar 17 2009 cpan2dist 0.20-1mdv
- initial mdv release, generated with cpan2dist

